# Interface IdentifierTree

All Superinterfaces:
  `DocTree`

public interface IdentifierTree extends DocTree
An identifier in a documentation comment.

       name

Since:
  1.8

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`
Modifier and Type
Interface
Description
`static enum`
`DocTree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`Name`
`getName()`
Returns the name of the identifier.

### Methods declared in interface DocTree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(DocTreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`DocTree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getName

Name getName()
Returns the name of the identifier.

Returns:
  the name